"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPackage = void 0;
const fs_extra_1 = __importDefault(require("fs-extra"));
const path_1 = __importDefault(require("path"));
let cache;
const getPackage = () => __awaiter(void 0, void 0, void 0, function* () {
    if (!cache) {
        const content = yield fs_extra_1.default.readFile(path_1.default.resolve(process.cwd(), 'package.json'), 'utf8');
        try {
            cache = JSON.parse(content);
        }
        catch (_a) { }
    }
    return cache !== null && cache !== void 0 ? cache : {};
});
exports.getPackage = getPackage;
//# sourceMappingURL=get-package.js.map